// app main container for pages with app bar, should be below a h-16 header
import {cn} from "@/lib/utils";

export default function AppMainContainer({children}: { children: React.ReactNode }): React.ReactNode {
    return (
        <main className={"h-full md:ml-20 bg-gray-50 dark:bg-gray-800 transition-all duration-500"}>
            <div className={"h-[calc(100vh_-_10rem)] md:h-[calc(100vh_-_5rem)]"}>
                {children}
            </div>
        </main>
    )
}


// session main container takes the whole space, no header
export function SessionMainContainer({children}: { children: React.ReactNode }): React.ReactNode {
    return (
        <main className={"h-screen md:ml-20 bg-white dark:bg-gray-800 transition-all duration-500"}>
            <div className={"h-screen"}>
                {children}
            </div>
        </main>
    )
}


export function AppInnerContentContainer(
    {children, className}: { children: React.ReactNode, className?: string }
): React.ReactNode {
    return (
        <div className={cn("py-2 container-auto", className)}>
            {children}
        </div>
    )
}